This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Wed, 8 Apr 2020 00:37:10 +1000
Subject: [PATCH 1/2] fix darwin build


diff --git a/tools/build/src/tools/darwin.jam b/tools/build/src/tools/darwin.jam
index 1111111..2222222 100644
--- a/tools/build/src/tools/darwin.jam
+++ b/tools/build/src/tools/darwin.jam
@@ -131,11 +131,6 @@ rule init ( version ? : command * : options * : requirement * )
     common.handle-options darwin : $(condition) : $(command) : $(options) ;
 
     real-version = [ regex.split $(real-version) \\. ] ;
-    # - GCC 4.0 and higher in Darwin does not have -fcoalesce-templates.
-    if [ version.version-less $(real-version) : 4 0 ]
-    {
-        flags darwin.compile.c++ OPTIONS $(condition) : -fcoalesce-templates ;
-    }
     # - GCC 4.2 and higher in Darwin does not have -Wno-long-double.
     if [ version.version-less $(real-version) : 4 2 ]
     {

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Orgad Shaneh <orgad.shaneh@audiocodes.com>
Date: Sun, 12 May 2024 13:39:03 +0300
Subject: [PATCH 2/2] fix x86 build


diff --git a/boost/charconv/detail/config.hpp b/boost/charconv/detail/config.hpp
index 1111111..2222222 100644
--- a/boost/charconv/detail/config.hpp
+++ b/boost/charconv/detail/config.hpp
@@ -79,7 +79,17 @@
 #    define BOOST_CHARCONV_HAS_MSVC_32BIT_INTRINSICS
 #  endif
 #elif (defined(__x86_64__) || defined(__i386__))
+// See: https://github.com/boostorg/charconv/issues/196
+#  ifdef __MINGW32__
+extern "C" {
+#  endif
+
 #  include <x86intrin.h>
+
+#  ifdef __MINGW32__
+}
+#  endif
+
 #  define BOOST_CHARCONV_HAS_X86_INTRINSICS
 #elif defined(__ARM_NEON__)
 #  include <arm_neon.h>
